Package org.eclipse.gef.mvc.fx.behaviors

# Class HoverBehavior

java.lang.Object
org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior
org.eclipse.gef.mvc.fx.behaviors.HoverBehavior

All Implemented Interfaces:
  `IActivatable`, `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`, `IBehavior`

public class HoverBehavior extends AbstractBehavior
The `HoverBehavior` can be registered on an `IVisualPart` in order to react to `HoverModel` changes. It generates `AbstractFeedbackPart`s and `AbstractHandlePart`s.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`active, adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HOVER_FEEDBACK_PART_FACTORY`
The adapter role for the `IFeedbackPartFactory` that is used to generate hover feedback parts.
`static final String`
`HOVER_HANDLE_PART_FACTORY`
The adapter role for the `IHandlePartFactory` that is used to generate hover handle parts.

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`HoverBehavior()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doActivate()`
Post `AbstractBehavior.activate()` hook that may be overwritten to e.g. register listeners.
`protected void`
`doDeactivate()`
Pre `AbstractBehavior.deactivate()` hook that may be overwritten to e.g. unregister listeners.
`protected IFeedbackPartFactory`
`getFeedbackPartFactory(IViewer viewer)`
Returns the `IFeedbackPartFactory` that should be used for feedback creation.
`javafx.scene.effect.Effect`
`getHandleHoverFeedbackEffect(Map<Object,Object> contextMap)`
Returns the `Effect` that is applied to `IHandlePart`s as a replacement for `IFeedbackPart`s which are created for normal parts.
`protected IHandlePartFactory`
`getHandlePartFactory(IViewer viewer)`
Returns the `IHandlePartFactory` that should be used for handle creation.
`protected HoverModel`
`getHoverModel()`
Returns the `HoverModel` in the context of the `host`.

### Methods inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`activate, activeProperty, adaptableProperty, addAnchoreds, addAnchoreds, addFeedback, addFeedback, addHandles, addHandles, clearFeedback, clearHandles, deactivate, getAdaptable, getFeedback, getFeedback, getFeedbackPartFactory, getFeedbackPerTargetSet, getHandlePartFactory, getHandles, getHandles, getHandlesPerTargetSet, getHost, hasFeedback, hasFeedback, hasHandles, hasHandles, isActive, removeAnchoreds, removeFeedback, removeFeedback, removeFeedback, removeHandles, removeHandles, removeHandles, setAdaptable, updateHandles, updateHandles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOVER_FEEDBACK_PART_FACTORY

public static final String HOVER_FEEDBACK_PART_FACTORY
The adapter role for the `IFeedbackPartFactory` that is used to generate hover feedback parts.

See Also:
  - Constant Field Values

### HOVER_HANDLE_PART_FACTORY

public static final String HOVER_HANDLE_PART_FACTORY
The adapter role for the `IHandlePartFactory` that is used to generate hover handle parts.

See Also:
  - Constant Field Values

## Constructor Details

### HoverBehavior

public HoverBehavior()

## Method Details

### doActivate

protected void doActivate()
Description copied from class: `AbstractBehavior`
Post `AbstractBehavior.activate()` hook that may be overwritten to e.g. register listeners.

Overrides:
  `doActivate` in class `AbstractBehavior`

### doDeactivate

protected void doDeactivate()
Description copied from class: `AbstractBehavior`
Pre `AbstractBehavior.deactivate()` hook that may be overwritten to e.g. unregister listeners.

Overrides:
  `doDeactivate` in class `AbstractBehavior`

### getFeedbackPartFactory

protected IFeedbackPartFactory getFeedbackPartFactory(IViewer viewer)
Description copied from class: `AbstractBehavior`
Returns the `IFeedbackPartFactory` that should be used for feedback creation.

Overrides:
  `getFeedbackPartFactory` in class `AbstractBehavior`
Parameters:
  `viewer` - The `IViewer` for which to determine the `IFeedbackPartFactory` for this `IBehavior`.
Returns:
  The `IFeedbackPartFactory` that should be used for feedback creation.

### getHandleHoverFeedbackEffect

public javafx.scene.effect.Effect getHandleHoverFeedbackEffect(Map<Object,Object> contextMap)
Returns the `Effect` that is applied to `IHandlePart`s as a replacement for `IFeedbackPart`s which are created for normal parts.

Parameters:
  `contextMap` - A map with context information that might be needed to identify the concrete creation context.
Returns:
  The `Effect` that is applied to `IHandlePart`s as a replacement for `IFeedbackPart`s which are created for normal parts.

### getHandlePartFactory

protected IHandlePartFactory getHandlePartFactory(IViewer viewer)
Description copied from class: `AbstractBehavior`
Returns the `IHandlePartFactory` that should be used for handle creation.

Overrides:
  `getHandlePartFactory` in class `AbstractBehavior`
Parameters:
  `viewer` - The `IViewer` for which to determine the `IHandlePartFactory` for this `IBehavior`.
Returns:
  The `IHandlePartFactory` that should be used for feedback creation.

### getHoverModel

protected HoverModel getHoverModel()
Returns the `HoverModel` in the context of the `host`.

Returns:
  The `HoverModel` in the context of the `host`.